Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.construct.builder
Class AbstractFlowConstructWithSingleInboundEndpointBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

    java.lang.Object
      org.mule.construct.builder.AbstractFlowConstructBuilder<T,F>
          org.mule.construct.builder.AbstractFlowConstructWithSingleInboundEndpointBuilder<T,F>

Direct Known Subclasses:
  AbstractFlowConstructWithSingleInboundAndOutboundEndpointBuilder, SimpleServiceBuilder

    public abstract class AbstractFlowConstructWithSingleInboundEndpointBuilder<T extends AbstractFlowConstructBuilder,F extends AbstractFlowConstruct>

extends AbstractFlowConstructBuilder<T,F>

Field Summary
`protected List<MessageProcessor>` | `inboundResponseTransformers`
`protected List<MessageProcessor>` | `inboundTransformers`

Fields inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`exceptionListener, messageSource, name`

Constructor Summary
`AbstractFlowConstructWithSingleInboundEndpointBuilder()`

Method Summary
`protected void` | `doConfigureInboundEndpointBuilder(MuleContext muleContext, EndpointBuilder endpointBuilder)`
`protected abstract MessageExchangePattern` | `getInboundMessageExchangePattern()`
`protected InboundEndpoint` | `getOrBuildInboundEndpoint(MuleContext muleContext)`
`T` | `inboundAddress(String inboundAddress)`
`T` | `inboundEndpoint(EndpointBuilder inboundEndpointBuilder)`
`T` | `inboundEndpoint(InboundEndpoint inboundEndpoint)`

Methods inherited from class org.mule.construct.builder.AbstractFlowConstructBuilder
`addExceptionListener, build, buildAndRegister, buildFlowConstruct, exceptionStrategy, messageSource, name`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inboundTransformers

    protected List<MessageProcessor> inboundTransformers

### inboundResponseTransformers

    protected List<MessageProcessor> inboundResponseTransformers

Constructor Detail

### AbstractFlowConstructWithSingleInboundEndpointBuilder

    public AbstractFlowConstructWithSingleInboundEndpointBuilder()

Method Detail

### inboundEndpoint

    public T inboundEndpoint(InboundEndpoint inboundEndpoint)

### inboundEndpoint

    public T inboundEndpoint(EndpointBuilder inboundEndpointBuilder)

### inboundAddress

    public T inboundAddress(String inboundAddress)

### getOrBuildInboundEndpoint

    protected InboundEndpoint getOrBuildInboundEndpoint(MuleContext muleContext)
                                                 throws MuleException

  Throws:
    `MuleException`

### getInboundMessageExchangePattern

    protected abstract MessageExchangePattern getInboundMessageExchangePattern()

### doConfigureInboundEndpointBuilder

    protected void doConfigureInboundEndpointBuilder(MuleContext muleContext,
                                                     EndpointBuilder endpointBuilder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.